Index: src/UIElements/Makefile.am
===================================================================
--- src/UIElements/Makefile.am	(revision 1ae8203bd04bcd66a13ba3721df275deccdd729b)
+++ src/UIElements/Makefile.am	(revision 08e137890d5c20882d801a94cb62c4be5820ae33)
@@ -158,21 +158,4 @@
 
 QTUISOURCE = \
-  UIElements/Qt4/Pipe/AtomQtQueryPipe.cpp \
-  UIElements/Qt4/Pipe/AtomsQtQueryPipe.cpp \
-  UIElements/Qt4/Pipe/BooleanQtQueryPipe.cpp \
-  UIElements/Qt4/Pipe/DoubleQtQueryPipe.cpp \
-  UIElements/Qt4/Pipe/ElementsQtQueryPipe.cpp \
-  UIElements/Qt4/Pipe/EmptyQtQueryPipe.cpp \
-  UIElements/Qt4/Pipe/ElementQtQueryPipe.cpp \
-  UIElements/Qt4/Pipe/FileQtQueryPipe.cpp \
-  UIElements/Qt4/Pipe/IntQtQueryPipe.cpp \
-  UIElements/Qt4/Pipe/MoleculeQtQueryPipe.cpp \
-  UIElements/Qt4/Pipe/MoleculesQtQueryPipe.cpp \
-  UIElements/Qt4/Pipe/StringQtQueryPipe.cpp \
-  UIElements/Qt4/Pipe/UnsignedIntQtQueryPipe.cpp \
-  UIElements/Qt4/Pipe/VectorQtQueryPipe.cpp \
-  UIElements/Qt4/Pipe/VectorsQtQueryPipe.cpp \
-  UIElements/Qt4/Pipe/RandomNumberDistribution_ParametersQtQueryPipe.cpp \
-  UIElements/Qt4/Pipe/RealSpaceMatrixQtQueryPipe.cpp \
   UIElements/Qt4/Query/AtomQtQuery.cpp \
   UIElements/Qt4/Query/AtomsQtQuery.cpp \
@@ -218,22 +201,4 @@
   UIElements/Qt4/QtDialog.hpp \
   UIElements/Qt4/QtMainWindow.hpp \
-  UIElements/Qt4/Pipe/AtomQtQueryPipe.hpp \
-  UIElements/Qt4/Pipe/AtomsQtQueryPipe.hpp \
-  UIElements/Qt4/Pipe/BooleanQtQueryPipe.hpp \
-  UIElements/Qt4/Pipe/DoubleQtQueryPipe.hpp \
-  UIElements/Qt4/Pipe/ElementQtQueryPipe.hpp \
-  UIElements/Qt4/Pipe/ElementsQtQueryPipe.hpp \
-  UIElements/Qt4/Pipe/EmptyQtQueryPipe.hpp \
-  UIElements/Qt4/Pipe/FileQtQueryPipe.hpp \
-  UIElements/Qt4/Pipe/IntQtQueryPipe.hpp \
-  UIElements/Qt4/Pipe/MoleculeQtQueryPipe.hpp \
-  UIElements/Qt4/Pipe/MoleculesQtQueryPipe.hpp \
-  UIElements/Qt4/Pipe/QtQueryListPipe.hpp \
-  UIElements/Qt4/Pipe/RandomNumberDistribution_ParametersQtQueryPipe.hpp \
-  UIElements/Qt4/Pipe/RealSpaceMatrixQtQueryPipe.hpp \
-  UIElements/Qt4/Pipe/StringQtQueryPipe.hpp \
-  UIElements/Qt4/Pipe/UnsignedIntQtQueryPipe.hpp \
-  UIElements/Qt4/Pipe/VectorQtQueryPipe.hpp \
-  UIElements/Qt4/Pipe/VectorsQtQueryPipe.hpp \
   UIElements/Qt4/Query/QtQuery.hpp \
   UIElements/Menu/Qt4/QtMenuPipe.hpp \
@@ -260,7 +225,5 @@
   UIElements/Qt4/Query/QtQuery.hpp \
   UIElements/Qt4/Query/QtQueryList.hpp \
-  UIElements/Qt4/QtUIFactory.hpp \
-  UIElements/Qt4/Pipe/QtQueryPipe.hpp \
-  UIElements/Qt4/Pipe/QtQueryListPipe.hpp
+  UIElements/Qt4/QtUIFactory.hpp
 
 lib_LTLIBRARIES += libMolecuilderUI.la
Index: c/UIElements/Qt4/Pipe/AtomQtQueryPipe.cpp
===================================================================
--- src/UIElements/Qt4/Pipe/AtomQtQueryPipe.cpp	(revision 1ae8203bd04bcd66a13ba3721df275deccdd729b)
+++ 	(revision )
@@ -1,46 +1,0 @@
-/*
- * Project: MoleCuilder
- * Description: creates and alters molecular systems
- * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
- * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
- */
-
-/*
- * AtomQtQueryPipe.cpp
- *
- *  Created on: Oct 25, 2010
- *      Author: heber
- */
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include "UIElements/Qt4/Pipe/AtomQtQueryPipe.hpp"
-#include "UIElements/Qt4/QtDialog.hpp"
-
-#include <Qt/qcombobox.h>
-
-#include "Descriptors/AtomIdDescriptor.hpp"
-#include "CodePatterns/MemDebug.hpp"
-#include "World.hpp"
-
-
-AtomQtQueryPipe::AtomQtQueryPipe(const atom *&_content, QtDialog *_dialog, QComboBox *_theBox) :
-  content(_content),
-  dialog(_dialog),
-  theBox(_theBox)
-{}
-
-AtomQtQueryPipe::~AtomQtQueryPipe()
-{}
-
-void AtomQtQueryPipe::update(int newIndex) {
-  QVariant data = theBox->itemData(newIndex);
-  int idx = data.toInt();
-  content = World::getInstance().getAtom(AtomById(idx));
-  dialog->update();
-}
-
-
Index: c/UIElements/Qt4/Pipe/AtomQtQueryPipe.hpp
===================================================================
--- src/UIElements/Qt4/Pipe/AtomQtQueryPipe.hpp	(revision 1ae8203bd04bcd66a13ba3721df275deccdd729b)
+++ 	(revision )
@@ -1,41 +1,0 @@
-/*
- * AtomQtQueryPipe.hpp
- *
- *  Created on: Nov 8, 2010
- *      Author: heber
- */
-
-#ifndef ATOMQTQUERYPIPE_HPP_
-#define ATOMQTQUERYPIPE_HPP_
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-
-#include <Qt/qwidget.h>
-
-class QComboBox;
-
-class atom;
-class QtDialog;
-
-class AtomQtQueryPipe : public QWidget {
-  Q_OBJECT
-public:
-  AtomQtQueryPipe(const atom *&_content, QtDialog *_dialog, QComboBox *_theBox);
-  virtual ~AtomQtQueryPipe();
-
-public slots:
-  void update(int);
-
-private:
-  const atom *&content;
-  QtDialog *dialog;
-  QComboBox *theBox;
-
-};
-
-
-#endif /* ATOMQTQUERYPIPE_HPP_ */
Index: c/UIElements/Qt4/Pipe/AtomsQtQueryPipe.cpp
===================================================================
--- src/UIElements/Qt4/Pipe/AtomsQtQueryPipe.cpp	(revision 1ae8203bd04bcd66a13ba3721df275deccdd729b)
+++ 	(revision )
@@ -1,75 +1,0 @@
-/*
- * Project: MoleCuilder
- * Description: creates and alters molecular systems
- * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
- * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
- */
-
-/*
- * AtomsQtQueryPipe.cpp
- *
- *  Created on: Oct 25, 2010
- *      Author: heber
- */
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include "UIElements/Qt4/Pipe/AtomsQtQueryPipe.hpp"
-#include "UIElements/Qt4/QtDialog.hpp"
-
-#include <vector>
-
-#include <Qt/qlistwidget.h>
-
-#include "Descriptors/AtomIdDescriptor.hpp"
-#include "CodePatterns/MemDebug.hpp"
-#include "World.hpp"
-
-
-AtomsQtQueryPipe::AtomsQtQueryPipe(std::vector<const atom *> &_content, QtDialog *_dialog, QListWidget *_theList) :
-  content(_content),
-  dialog(_dialog),
-  theList(_theList)
-{}
-
-AtomsQtQueryPipe::~AtomsQtQueryPipe()
-{}
-
-void AtomsQtQueryPipe::update() {
-  // clear target and put all atoms therein
-  content.clear();
-  for (std::set<const atom *>::iterator iter = currentList.begin(); iter != currentList.end(); ++iter)
-    content.push_back(*iter);
-  dialog->update();
-}
-
-void AtomsQtQueryPipe::add() {
-  QList<QListWidgetItem *> items = theList->selectedItems();
-  for (QList<QListWidgetItem *>::iterator iter = items.begin();iter != items.end();++iter) {
-    const int index = (*iter)->text().toInt();
-    atom *Walker = World::getInstance().getAtom(AtomById(index));
-    if (Walker) {
-      currentList.insert(Walker);
-      if (lookup.find(index) != lookup.end())
-        lookup.insert(pair<int, atom*>(index, Walker));
-    }
-  }
-  update();
-}
-
-void AtomsQtQueryPipe::remove() {
-  QList<QListWidgetItem *> items = theList->selectedItems();
-  for (QList<QListWidgetItem *>::iterator iter = items.begin();iter != items.end();++iter) {
-    const int index = (*iter)->text().toInt();
-    atom *Walker = World::getInstance().getAtom(AtomById(index));
-    if (Walker) {
-      currentList.erase(Walker);
-    }
-  }
-  update();
-}
-
-
Index: c/UIElements/Qt4/Pipe/AtomsQtQueryPipe.hpp
===================================================================
--- src/UIElements/Qt4/Pipe/AtomsQtQueryPipe.hpp	(revision 1ae8203bd04bcd66a13ba3721df275deccdd729b)
+++ 	(revision )
@@ -1,49 +1,0 @@
-/*
- * AtomsQtQueryPipe.hpp
- *
- *  Created on: Nov 8, 2010
- *      Author: heber
- */
-
-#ifndef ATOMSQTQUERYPIPE_HPP_
-#define ATOMSQTQUERYPIPE_HPP_
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-
-#include <Qt/qwidget.h>
-
-#include <map>
-#include <set>
-#include <vector>
-
-class QListWidget;
-
-class atom;
-class QtDialog;
-
-class AtomsQtQueryPipe : public QWidget {
-  Q_OBJECT
-public:
-  AtomsQtQueryPipe(std::vector<const atom *> &_content, QtDialog *_dialog, QListWidget *_theList);
-  virtual ~AtomsQtQueryPipe();
-
-public slots:
-  void update();
-  void add();
-  void remove();
-
-private:
-  std::vector<const atom *> &content;
-  std::map<int, const atom *> lookup;
-  std::set<const atom *> currentList;
-  QtDialog *dialog;
-  QListWidget *theList;
-
-};
-
-
-#endif /* ATOMSQTQUERYPIPE_HPP_ */
Index: c/UIElements/Qt4/Pipe/BooleanQtQueryPipe.cpp
===================================================================
--- src/UIElements/Qt4/Pipe/BooleanQtQueryPipe.cpp	(revision 1ae8203bd04bcd66a13ba3721df275deccdd729b)
+++ 	(revision )
@@ -1,40 +1,0 @@
-/*
- * Project: MoleCuilder
- * Description: creates and alters molecular systems
- * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
- * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
- */
-
-/*
- * BooleanQtQueryPipe.cpp
- *
- *  Created on: Oct 25, 2010
- *      Author: heber
- */
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include "UIElements/Qt4/Pipe/BooleanQtQueryPipe.hpp"
-#include "UIElements/Qt4/QtDialog.hpp"
-
-#include <Qt/qcombobox.h>
-
-#include "CodePatterns/MemDebug.hpp"
-
-BooleanQtQueryPipe::BooleanQtQueryPipe(bool &_content, QtDialog *_dialog, QCheckBox *_booleanCheckBox) :
-  content(_content),
-  dialog(_dialog),
-  booleanCheckBox(_booleanCheckBox)
-{}
-
-BooleanQtQueryPipe::~BooleanQtQueryPipe()
-{}
-
-void BooleanQtQueryPipe::update(int state) {
-  content = (state == Qt::Checked);
-  dialog->update();
-}
-
Index: c/UIElements/Qt4/Pipe/BooleanQtQueryPipe.hpp
===================================================================
--- src/UIElements/Qt4/Pipe/BooleanQtQueryPipe.hpp	(revision 1ae8203bd04bcd66a13ba3721df275deccdd729b)
+++ 	(revision )
@@ -1,38 +1,0 @@
-/*
- * BooleanQtQueryPipe.hpp
- *
- *  Created on: Nov 8, 2010
- *      Author: heber
- */
-
-#ifndef BOOLEANQTQUERYPIPE_HPP_
-#define BOOLEANQTQUERYPIPE_HPP_
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-
-#include <Qt/qwidget.h>
-
-class QtDialog;
-class QCheckBox;
-
-class BooleanQtQueryPipe : public QWidget {
-  Q_OBJECT
-public:
-  BooleanQtQueryPipe(bool &_content, QtDialog *_dialog, QCheckBox *_booleanCheckBox);
-  virtual ~BooleanQtQueryPipe();
-
-public slots:
-  void update(int state);
-
-private:
-  bool &content;
-  QtDialog *dialog;
-  QCheckBox *booleanCheckBox;
-};
-
-
-#endif /* BOOLEANQTQUERYPIPE_HPP_ */
Index: c/UIElements/Qt4/Pipe/DoubleQtQueryPipe.cpp
===================================================================
--- src/UIElements/Qt4/Pipe/DoubleQtQueryPipe.cpp	(revision 1ae8203bd04bcd66a13ba3721df275deccdd729b)
+++ 	(revision )
@@ -1,37 +1,0 @@
-/*
- * Project: MoleCuilder
- * Description: creates and alters molecular systems
- * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
- * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
- */
-
-/*
- * DoubleQtQueryPipe.cpp
- *
- *  Created on: Oct 25, 2010
- *      Author: heber
- */
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include "UIElements/Qt4/Pipe/DoubleQtQueryPipe.hpp"
-#include "UIElements/Qt4/QtDialog.hpp"
-
-#include "CodePatterns/MemDebug.hpp"
-
-DoubleQtQueryPipe::DoubleQtQueryPipe(double &_content, QtDialog *_dialog) :
-  content(_content),
-  dialog(_dialog)
-{}
-
-DoubleQtQueryPipe::~DoubleQtQueryPipe()
-{}
-
-void DoubleQtQueryPipe::update(double newDbl) {
-  content = newDbl;
-  dialog->update();
-}
-
Index: c/UIElements/Qt4/Pipe/DoubleQtQueryPipe.hpp
===================================================================
--- src/UIElements/Qt4/Pipe/DoubleQtQueryPipe.hpp	(revision 1ae8203bd04bcd66a13ba3721df275deccdd729b)
+++ 	(revision )
@@ -1,37 +1,0 @@
-/*
- * DoubleQtQueryPipe.hpp
- *
- *  Created on: Nov 8, 2010
- *      Author: heber
- */
-
-#ifndef DOUBLEQTQUERYPIPE_HPP_
-#define DOUBLEQTQUERYPIPE_HPP_
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-
-#include <Qt/qwidget.h>
-
-class QtDialog;
-
-class DoubleQtQueryPipe : public QWidget {
-  Q_OBJECT
-public:
-  DoubleQtQueryPipe(double &_content, QtDialog *_dialog);
-  virtual ~DoubleQtQueryPipe();
-
-public slots:
-  void update(double);
-
-private:
-  double &content;
-  QtDialog *dialog;
-
-};
-
-
-#endif /* DOUBLEQTQUERYPIPE_HPP_ */
Index: c/UIElements/Qt4/Pipe/ElementQtQueryPipe.cpp
===================================================================
--- src/UIElements/Qt4/Pipe/ElementQtQueryPipe.cpp	(revision 1ae8203bd04bcd66a13ba3721df275deccdd729b)
+++ 	(revision )
@@ -1,46 +1,0 @@
-/*
- * Project: MoleCuilder
- * Description: creates and alters molecular systems
- * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
- * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
- */
-
-/*
- * ElementQtQueryPipe.cpp
- *
- *  Created on: Oct 25, 2010
- *      Author: heber
- */
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include "UIElements/Qt4/Pipe/ElementQtQueryPipe.hpp"
-#include "UIElements/Qt4/QtDialog.hpp"
-
-#include <Qt/qcombobox.h>
-
-#include "CodePatterns/MemDebug.hpp"
-#include "Element/element.hpp"
-#include "Element/periodentafel.hpp"
-#include "World.hpp"
-
-
-ElementQtQueryPipe::ElementQtQueryPipe(const element * &_content, QtDialog *_dialog, QComboBox *_theBox) :
-  content(_content),
-  dialog(_dialog),
-  theBox(_theBox)
-{}
-
-ElementQtQueryPipe::~ElementQtQueryPipe()
-{}
-
-void ElementQtQueryPipe::update(int newIndex) {
-  QVariant data = theBox->itemData(newIndex);
-  int idx = data.toInt();
-  content = World::getInstance().getPeriode()->FindElement(idx);
-  dialog->update();
-}
-
Index: c/UIElements/Qt4/Pipe/ElementQtQueryPipe.hpp
===================================================================
--- src/UIElements/Qt4/Pipe/ElementQtQueryPipe.hpp	(revision 1ae8203bd04bcd66a13ba3721df275deccdd729b)
+++ 	(revision )
@@ -1,40 +1,0 @@
-/*
- * ElementQtQueryPipe.hpp
- *
- *  Created on: Nov 8, 2010
- *      Author: heber
- */
-
-#ifndef ELEMENTQTQUERYPIPE_HPP_
-#define ELEMENTQTQUERYPIPE_HPP_
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-
-#include <Qt/qwidget.h>
-
-class QComboBox;
-
-class element;
-class QtDialog;
-
-class ElementQtQueryPipe : public QWidget {
-  Q_OBJECT
-public:
-  ElementQtQueryPipe(const element * &_content, QtDialog *_dialog, QComboBox *_theBox);
-  virtual ~ElementQtQueryPipe();
-
-public slots:
-  void update(int);
-
-private:
-  const element * &content;
-  QtDialog *dialog;
-  QComboBox *theBox;
-};
-
-
-#endif /* ELEMENTQTQUERYPIPE_HPP_ */
Index: c/UIElements/Qt4/Pipe/ElementsQtQueryPipe.cpp
===================================================================
--- src/UIElements/Qt4/Pipe/ElementsQtQueryPipe.cpp	(revision 1ae8203bd04bcd66a13ba3721df275deccdd729b)
+++ 	(revision )
@@ -1,50 +1,0 @@
-/*
- * Project: MoleCuilder
- * Description: creates and alters molecular systems
- * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
- * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
- */
-
-/*
- * ElementsQtQueryPipe.cpp
- *
- *  Created on: Oct 25, 2010
- *      Author: heber
- */
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include "UIElements/Qt4/Pipe/ElementsQtQueryPipe.hpp"
-#include "UIElements/Qt4/QtDialog.hpp"
-
-#include <vector>
-
-#include <Qt/qcombobox.h>
-
-#include "CodePatterns/MemDebug.hpp"
-#include "Element/element.hpp"
-#include "Element/periodentafel.hpp"
-#include "World.hpp"
-
-
-ElementsQtQueryPipe::ElementsQtQueryPipe(std::vector<const element *> &_content, QtDialog *_dialog, QComboBox *_theBox) :
-  content(_content),
-  dialog(_dialog),
-  theBox(_theBox)
-{}
-
-ElementsQtQueryPipe::~ElementsQtQueryPipe()
-{}
-
-void ElementsQtQueryPipe::update(int newIndex) {
-  QVariant data = theBox->itemData(newIndex);
-  int idx = data.toInt();
-  const element *elemental = World::getInstance().getPeriode()->FindElement(idx);
-  if(elemental)
-    content.push_back(elemental);
-  dialog->update();
-}
-
Index: c/UIElements/Qt4/Pipe/ElementsQtQueryPipe.hpp
===================================================================
--- src/UIElements/Qt4/Pipe/ElementsQtQueryPipe.hpp	(revision 1ae8203bd04bcd66a13ba3721df275deccdd729b)
+++ 	(revision )
@@ -1,43 +1,0 @@
-/*
- * ElementsQtQueryPipe.hpp
- *
- *  Created on: Nov 8, 2010
- *      Author: heber
- */
-
-#ifndef ELEMENTSQTQUERYPIPE_HPP_
-#define ELEMENTSQTQUERYPIPE_HPP_
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-
-#include <Qt/qwidget.h>
-
-#include <vector>
-
-class QComboBox;
-
-class element;
-class QtDialog;
-
-
-class ElementsQtQueryPipe : public QWidget {
-  Q_OBJECT
-public:
-  ElementsQtQueryPipe(std::vector<const element *> &_content, QtDialog *_dialog, QComboBox *_theBox);
-  virtual ~ElementsQtQueryPipe();
-
-public slots:
-  void update(int);
-
-private:
-  std::vector<const element *> &content;
-  QtDialog *dialog;
-  QComboBox *theBox;
-};
-
-
-#endif /* ELEMENTSQTQUERYPIPE_HPP_ */
Index: c/UIElements/Qt4/Pipe/EmptyQtQueryPipe.cpp
===================================================================
--- src/UIElements/Qt4/Pipe/EmptyQtQueryPipe.cpp	(revision 1ae8203bd04bcd66a13ba3721df275deccdd729b)
+++ 	(revision )
@@ -1,36 +1,0 @@
-/*
- * Project: MoleCuilder
- * Description: creates and alters molecular systems
- * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
- * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
- */
-
-/*
- * EmptyQtQueryPipe.cpp
- *
- *  Created on: Oct 25, 2010
- *      Author: heber
- */
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include "UIElements/Qt4/Pipe/EmptyQtQueryPipe.hpp"
-#include "UIElements/Qt4/QtDialog.hpp"
-
-#include "CodePatterns/MemDebug.hpp"
-
-EmptyQtQueryPipe::EmptyQtQueryPipe(QtDialog *_dialog, QLabel *_textLabel) :
-  dialog(_dialog),
-  textLabel(_textLabel)
-{}
-
-EmptyQtQueryPipe::~EmptyQtQueryPipe()
-{}
-
-void EmptyQtQueryPipe::update() {
-  dialog->update();
-}
-
Index: c/UIElements/Qt4/Pipe/EmptyQtQueryPipe.hpp
===================================================================
--- src/UIElements/Qt4/Pipe/EmptyQtQueryPipe.hpp	(revision 1ae8203bd04bcd66a13ba3721df275deccdd729b)
+++ 	(revision )
@@ -1,38 +1,0 @@
-/*
- * EmptyQtQueryPipe.hpp
- *
- *  Created on: Nov 8, 2010
- *      Author: heber
- */
-
-#ifndef EMPTYQTQUERYPIPE_HPP_
-#define EMPTYQTQUERYPIPE_HPP_
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-
-#include <Qt/qwidget.h>
-
-class QLabel;
-
-class QtDialog;
-
-class EmptyQtQueryPipe : public QWidget {
-  Q_OBJECT
-public:
-  EmptyQtQueryPipe(QtDialog *_dialog, QLabel *_textLabel);
-  virtual ~EmptyQtQueryPipe();
-
-public slots:
-  void update();
-
-private:
-  QtDialog *dialog;
-  QLabel *textLabel;
-};
-
-
-#endif /* EMPTYQTQUERYPIPE_HPP_ */
Index: c/UIElements/Qt4/Pipe/FileQtQueryPipe.cpp
===================================================================
--- src/UIElements/Qt4/Pipe/FileQtQueryPipe.cpp	(revision 1ae8203bd04bcd66a13ba3721df275deccdd729b)
+++ 	(revision )
@@ -1,70 +1,0 @@
-/*
- * Project: MoleCuilder
- * Description: creates and alters molecular systems
- * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
- * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
- */
-
-/*
- * FileQtQueryPipe.cpp
- *
- *  Created on: Oct 25, 2010
- *      Author: heber
- */
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include <QtGui/QFileDialog>
-#include <Qt/qcombobox.h>
-#include <Qt/qlineedit.h>
-#include <Qt/qpushbutton.h>
-
-#include "CodePatterns/MemDebug.hpp"
-
-#include <iostream>
-#include <boost/filesystem.hpp>
-
-#include "UIElements/Qt4/Pipe/FileQtQueryPipe.hpp"
-#include "UIElements/Qt4/QtDialog.hpp"
-
-FileQtQueryPipe::FileQtQueryPipe(boost::filesystem::path &_content, QtDialog *_dialog, QLineEdit *_filenameLineEdit, QPushButton *_filedialogButton) :
-  content(_content),
-  dialog(_dialog),
-  filenameLineEdit(_filenameLineEdit),
-  filedialogButton(_filedialogButton)
-{
-  theFileDialog = NULL;
-}
-
-FileQtQueryPipe::~FileQtQueryPipe()
-{
-  if (theFileDialog != NULL)
-    delete theFileDialog;
-}
-
-void FileQtQueryPipe::update() {
-  QStringList ListOfFilenames = theFileDialog->selectedFiles();
-  std::cout << "Selected File is " << ListOfFilenames.at(0).toStdString() << std::endl;
-  content = ListOfFilenames.at(0).toStdString();
-  filenameLineEdit->setText(QString::fromStdString(content.string()));
-  dialog->update();
-}
-
-void FileQtQueryPipe::showFileDialog() {
-  filedialogButton->setFlat(true);
-  if (theFileDialog == NULL) {
-    theFileDialog = new QFileDialog(NULL, tr("Open input file"), QString(), tr("ParallelCarParrinello (*.conf);;MassivelyParallelQuantumChemistry (*.mpqc);;ParticleDataBase (*.pdb);;XYZ (*.xyz)"));
-    theFileDialog->setAcceptMode(QFileDialog::AcceptOpen);
-    theFileDialog->setFileMode(QFileDialog::AnyFile);
-    theFileDialog->setViewMode(QFileDialog::List);
-  }
-  theFileDialog->exec();
-
-  update();
-  filedialogButton->setFlat(false);
-}
-
-
Index: c/UIElements/Qt4/Pipe/FileQtQueryPipe.hpp
===================================================================
--- src/UIElements/Qt4/Pipe/FileQtQueryPipe.hpp	(revision 1ae8203bd04bcd66a13ba3721df275deccdd729b)
+++ 	(revision )
@@ -1,45 +1,0 @@
-/*
- * FileQtQueryPipe.hpp
- *
- *  Created on: Nov 8, 2010
- *      Author: heber
- */
-
-#ifndef FILEQTQUERYPIPE_HPP_
-#define FILEQTQUERYPIPE_HPP_
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-
-#include <Qt/qwidget.h>
-
-#include <boost/filesystem.hpp>
-
-class QtDialog;
-class QLineEdit;
-class QPushButton;
-class QFileDialog;
-
-class FileQtQueryPipe : public QWidget {
-  Q_OBJECT
-public:
-  FileQtQueryPipe(boost::filesystem::path &_content, QtDialog *_dialog, QLineEdit *_filenameLineEdit, QPushButton *_filedialogButton);
-  virtual ~FileQtQueryPipe();
-
-public slots:
-  void update();
-  void showFileDialog();
-
-private:
-  boost::filesystem::path &content;
-  QtDialog *dialog;
-  QLineEdit *filenameLineEdit;
-  QPushButton *filedialogButton;
-  QFileDialog *theFileDialog;
-};
-
-
-#endif /* FILEQTQUERYPIPE_HPP_ */
Index: c/UIElements/Qt4/Pipe/IntQtQueryPipe.cpp
===================================================================
--- src/UIElements/Qt4/Pipe/IntQtQueryPipe.cpp	(revision 1ae8203bd04bcd66a13ba3721df275deccdd729b)
+++ 	(revision )
@@ -1,38 +1,0 @@
-/*
- * Project: MoleCuilder
- * Description: creates and alters molecular systems
- * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
- * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
- */
-
-/*
- * IntQtQueryPipe.cpp
- *
- *  Created on: Oct 25, 2010
- *      Author: heber
- */
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include "UIElements/Qt4/Pipe/IntQtQueryPipe.hpp"
-#include "UIElements/Qt4/QtDialog.hpp"
-
-#include "CodePatterns/MemDebug.hpp"
-
-
-IntQtQueryPipe::IntQtQueryPipe(int &_content, QtDialog *_dialog) :
-  content(_content),
-  dialog(_dialog)
-{}
-
-IntQtQueryPipe::~IntQtQueryPipe()
-{}
-
-void IntQtQueryPipe::update(int newInt) {
-  content = newInt;
-  dialog->update();
-}
-
Index: c/UIElements/Qt4/Pipe/IntQtQueryPipe.hpp
===================================================================
--- src/UIElements/Qt4/Pipe/IntQtQueryPipe.hpp	(revision 1ae8203bd04bcd66a13ba3721df275deccdd729b)
+++ 	(revision )
@@ -1,37 +1,0 @@
-/*
- * IntQtQueryPipe.hpp
- *
- *  Created on: Nov 8, 2010
- *      Author: heber
- */
-
-#ifndef INTQTQUERYPIPE_HPP_
-#define INTQTQUERYPIPE_HPP_
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-
-#include <Qt/qwidget.h>
-
-class QtDialog;
-
-class IntQtQueryPipe : public QWidget {
-  Q_OBJECT
-public:
-  IntQtQueryPipe(int &_content, QtDialog *_dialog);
-  virtual ~IntQtQueryPipe();
-
-public slots:
-  void update(int);
-
-private:
-  int &content;
-  QtDialog *dialog;
-
-};
-
-
-#endif /* INTQTQUERYPIPE_HPP_ */
Index: c/UIElements/Qt4/Pipe/MoleculeQtQueryPipe.cpp
===================================================================
--- src/UIElements/Qt4/Pipe/MoleculeQtQueryPipe.cpp	(revision 1ae8203bd04bcd66a13ba3721df275deccdd729b)
+++ 	(revision )
@@ -1,47 +1,0 @@
-/*
- * Project: MoleCuilder
- * Description: creates and alters molecular systems
- * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
- * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
- */
-
-/*
- * MoleculeQtQueryPipe.cpp
- *
- *  Created on: Oct 25, 2010
- *      Author: heber
- */
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include "UIElements/Qt4/Pipe/MoleculeQtQueryPipe.hpp"
-#include "UIElements/Qt4/QtDialog.hpp"
-
-#include <Qt/qcombobox.h>
-
-#include "CodePatterns/MemDebug.hpp"
-
-#include "Descriptors/MoleculeIdDescriptor.hpp"
-#include "World.hpp"
-
-
-MoleculeQtQueryPipe::MoleculeQtQueryPipe(const molecule * &_content, QtDialog *_dialog, QComboBox *_theBox) :
-  content(_content),
-  dialog(_dialog),
-  theBox(_theBox)
-{}
-
-MoleculeQtQueryPipe::~MoleculeQtQueryPipe()
-{}
-
-void MoleculeQtQueryPipe::update(int newIndex) {
-  QVariant data = theBox->itemData(newIndex);
-  int idx = data.toInt();
-  content = World::getInstance().getMolecule(MoleculeById(idx));
-  dialog->update();
-}
-
-
Index: c/UIElements/Qt4/Pipe/MoleculeQtQueryPipe.hpp
===================================================================
--- src/UIElements/Qt4/Pipe/MoleculeQtQueryPipe.hpp	(revision 1ae8203bd04bcd66a13ba3721df275deccdd729b)
+++ 	(revision )
@@ -1,41 +1,0 @@
-/*
- * MoleculeQtQueryPipe.hpp
- *
- *  Created on: Nov 8, 2010
- *      Author: heber
- */
-
-#ifndef MOLECULEQTQUERYPIPE_HPP_
-#define MOLECULEQTQUERYPIPE_HPP_
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-
-#include <Qt/qwidget.h>
-
-class QComboBox;
-
-class molecule;
-class QtDialog;
-
-class MoleculeQtQueryPipe : public QWidget {
-  Q_OBJECT
-public:
-  MoleculeQtQueryPipe(const molecule * &_content, QtDialog *_dialog, QComboBox *_theBox);
-  virtual ~MoleculeQtQueryPipe();
-
-public slots:
-  void update(int);
-
-private:
-  const molecule * &content;
-  QtDialog *dialog;
-  QComboBox *theBox;
-
-};
-
-
-#endif /* MOLECULEQTQUERYPIPE_HPP_ */
Index: c/UIElements/Qt4/Pipe/MoleculesQtQueryPipe.cpp
===================================================================
--- src/UIElements/Qt4/Pipe/MoleculesQtQueryPipe.cpp	(revision 1ae8203bd04bcd66a13ba3721df275deccdd729b)
+++ 	(revision )
@@ -1,50 +1,0 @@
-/*
- * Project: MoleCuilder
- * Description: creates and alters molecular systems
- * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
- * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
- */
-
-/*
- * MoleculesQtQueryPipe.cpp
- *
- *  Created on: Oct 25, 2010
- *      Author: heber
- */
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include "UIElements/Qt4/Pipe/MoleculesQtQueryPipe.hpp"
-#include "UIElements/Qt4/QtDialog.hpp"
-
-#include <vector>
-
-#include <Qt/qcombobox.h>
-
-#include "CodePatterns/MemDebug.hpp"
-
-#include "Descriptors/MoleculeIdDescriptor.hpp"
-#include "World.hpp"
-
-
-MoleculesQtQueryPipe::MoleculesQtQueryPipe(std::vector<const molecule *> &_content, QtDialog *_dialog, QComboBox *_theBox) :
-  content(_content),
-  dialog(_dialog),
-  theBox(_theBox)
-{}
-
-MoleculesQtQueryPipe::~MoleculesQtQueryPipe()
-{}
-
-void MoleculesQtQueryPipe::update(int newIndex) {
-  QVariant data = theBox->itemData(newIndex);
-  int idx = data.toInt();
-  molecule *mol = World::getInstance().getMolecule(MoleculeById(idx));
-  if (mol)
-    content.push_back(mol);
-  dialog->update();
-}
-
Index: c/UIElements/Qt4/Pipe/MoleculesQtQueryPipe.hpp
===================================================================
--- src/UIElements/Qt4/Pipe/MoleculesQtQueryPipe.hpp	(revision 1ae8203bd04bcd66a13ba3721df275deccdd729b)
+++ 	(revision )
@@ -1,43 +1,0 @@
-/*
- * MoleculesQtQueryPipe.hpp
- *
- *  Created on: Nov 8, 2010
- *      Author: heber
- */
-
-#ifndef MOLECULESQTQUERYPIPE_HPP_
-#define MOLECULESQTQUERYPIPE_HPP_
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-
-#include <Qt/qwidget.h>
-
-#include <vector>
-
-class QComboBox;
-
-class molecule;
-class QtDialog;
-
-class MoleculesQtQueryPipe : public QWidget {
-  Q_OBJECT
-public:
-  MoleculesQtQueryPipe(std::vector<const molecule *> &_content, QtDialog *_dialog, QComboBox *_theBox);
-  virtual ~MoleculesQtQueryPipe();
-
-public slots:
-  void update(int);
-
-private:
-  std::vector<const molecule *> &content;
-  QtDialog *dialog;
-  QComboBox *theBox;
-
-};
-
-
-#endif /* MOLECULESQTQUERYPIPE_HPP_ */
Index: c/UIElements/Qt4/Pipe/QtQueryListPipe.hpp
===================================================================
--- src/UIElements/Qt4/Pipe/QtQueryListPipe.hpp	(revision 1ae8203bd04bcd66a13ba3721df275deccdd729b)
+++ 	(revision )
@@ -1,127 +1,0 @@
-/*
- * QtQueryListPipe.hpp
- *
- *  Created on: Oct 25, 2010
- *      Author: heber
- */
-
-#ifndef QTQUERYLISTPIPE_HPP_
-#define QTQUERYLISTPIPE_HPP_
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-
-#include "Parameters/Parameter.hpp"
-#include "QtQueryPipe.hpp"
-
-// Qt moc needs these because it generates its own .cpp file from QtQueryListPipe.hpp.
-#include <Qt/qboxlayout.h>
-#include <Qt/qlabel.h>
-#include <Qt/qlineedit.h>
-#include <Qt/qlistwidget.h>
-#include <Qt/qpushbutton.h>
-
-#include <boost/lexical_cast.hpp>
-
-using boost::lexical_cast;
-using boost::bad_lexical_cast;
-
-
-template<typename T> QtQueryListPipe<T>::QtQueryListPipe(std::vector<T> &_content, QtDialog *_dialog, QLineEdit *_inputBox, QListWidget *_inputList, QPushButton *_AddButton, QPushButton *_RemoveButton) :
-  content(_content),
-  dialog(_dialog),
-  inputBox(_inputBox),
-  inputList(_inputList),
-  AddButton(_AddButton),
-  RemoveButton(_RemoveButton)
-{}
-
-template<typename T> QtQueryListPipe<T>::~QtQueryListPipe()
-{}
-
-template<typename T> void QtQueryListPipe<T>::elementEntered(const QString& t)
-{
-  AddButton->setEnabled(t.length() > 0);
-}
-
-template<typename T> void QtQueryListPipe<T>::elementSelected()
-{
-  if (inputList->selectedItems().empty())
-    RemoveButton->setEnabled(false);
-  else
-    RemoveButton->setEnabled(true);
-}
-
-template<typename T> void QtQueryListPipe<T>::addElement() {
-  // type-check
-  std::string text = inputBox->text().toStdString();
-  T value;
-  try {
-    value = boost::lexical_cast<T>(text);
-  } catch (boost::bad_lexical_cast&) {
-    return;
-  };
-  // add item to both
-  inputList->addItem(QString(toString(value).c_str()));
-  addValue(value);
-}
-
-template<typename T> void QtQueryListPipe<T>::addValue(T item) {
-  content.push_back(item);
-
-  dialog->update();
-}
-
-template<typename T> void QtQueryListPipe<T>::removeElement() {
-  QList<QListWidgetItem *> items = inputList->selectedItems();
-  for (QList<QListWidgetItem *>::iterator iter = items.begin(); !items.empty(); iter = items.begin()) {
-    // obtain which position item has (by making it current item)
-    inputList->setCurrentItem(*iter);
-    // remove
-    QtQueryListPipe<T>::removeRow(inputList->currentRow()); // template parameters needs to be known, such that compiler knows which to call
-    inputList->takeItem(inputList->currentRow());
-    items.erase(iter);
-  }
-}
-
-template<typename T> void QtQueryListPipe<T>::removeRow(int row) {
-  int counter = 0;
-  typename std::vector<T>::iterator iter = content.begin();
-  for (; iter != content.end(); ++iter)
-    if (counter++ == row)
-      break;
-  if (iter != content.end())
-    content.erase(iter);
-}
-
-class StringsQtQueryPipe : public QtQueryListPipe<std::string>
-{
-  Q_OBJECT
-public:
-  StringsQtQueryPipe(std::vector<std::string> &_content, QtDialog *_dialog, QLineEdit *_inputBox, QListWidget *_inputList, QPushButton *_AddButton, QPushButton *_RemoveButton) :
-    QtQueryListPipe<std::string>(_content, _dialog, _inputBox, _inputList, _AddButton, _RemoveButton) { }
-
-public slots:
-  virtual void elementEntered(const QString& t)
-  {
-    QtQueryListPipe<std::string>::elementEntered(t);
-  }
-  virtual void elementSelected()
-  {
-    QtQueryListPipe<std::string>::elementSelected();
-  }
-  virtual void addElement()
-  {
-    QtQueryListPipe<std::string>::addElement();
-  }
-  virtual void removeElement()
-  {
-    QtQueryListPipe<std::string>::removeElement();
-  }
-};
-
-
-#endif /*  QTQUERYLISTPIPE_HPP_  */
Index: c/UIElements/Qt4/Pipe/QtQueryPipe.hpp
===================================================================
--- src/UIElements/Qt4/Pipe/QtQueryPipe.hpp	(revision 1ae8203bd04bcd66a13ba3721df275deccdd729b)
+++ 	(revision )
@@ -1,54 +1,0 @@
-/*
- * QtQueryPipe.hpp
- *
- *  Created on: Nov 8, 2010
- *      Author: heber
- */
-
-#ifndef QTQUERYPIPE_HPP_
-#define QTQUERYPIPE_HPP_
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-
-// All kinds of plumbing for Queries
-// Plumbing needs to be outside of the class where it is needed,
-// since MOC doesn't like nested classes
-
-#include <Qt/qwidget.h>
-
-#include <vector>
-
-class QLineEdit;
-class QListWidget;
-class QPushButton;
-
-class QtDialog;
-
-template<typename T> class QtQueryListPipe : public QWidget {
-  public:
-    QtQueryListPipe(std::vector<T> &_content, QtDialog *_dialog, QLineEdit *_inputBox, QListWidget *_inputList, QPushButton *_AddButton, QPushButton *_RemoveButton);
-    virtual ~QtQueryListPipe();
-
-  // Slots to-be.
-    virtual void addElement();
-    virtual void removeElement();
-    virtual void elementSelected();
-    virtual void elementEntered(const QString&);
-
-  private:
-    void addValue(T item);
-    void removeRow(int row);
-
-    std::vector<T> &content;
-    QtDialog *dialog;
-    QLineEdit *inputBox;
-    QListWidget *inputList;
-    QPushButton *AddButton;
-    QPushButton *RemoveButton;
-};
-
-#endif /* QTQUERYPIPE_HPP_ */
Index: c/UIElements/Qt4/Pipe/RandomNumberDistribution_ParametersQtQueryPipe.cpp
===================================================================
--- src/UIElements/Qt4/Pipe/RandomNumberDistribution_ParametersQtQueryPipe.cpp	(revision 1ae8203bd04bcd66a13ba3721df275deccdd729b)
+++ 	(revision )
@@ -1,49 +1,0 @@
-/*
- * Project: MoleCuilder
- * Description: creates and alters molecular systems
- * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
- * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
- */
-
-/*
- * RandomNumberDistribution_ParametersQtQueryPipe.cpp
- *
- *  Created on: Jan 06, 2011
- *      Author: heber
- */
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include "UIElements/Qt4/Pipe/RandomNumberDistribution_ParametersQtQueryPipe.hpp"
-#include "UIElements/Qt4/QtDialog.hpp"
-
-#include <Qt/qtextedit.h>
-#include <sstream>
-#include <string>
-
-#include "CodePatterns/MemDebug.hpp"
-#include "RandomNumbers/RandomNumberDistribution_Parameters.hpp"
-
-class RandomNumberDistribution_Parameters;
-
-RandomNumberDistribution_ParametersQtQueryPipe::RandomNumberDistribution_ParametersQtQueryPipe(RandomNumberDistribution_Parameters &_content, QtDialog *_dialog, QTextEdit *_theBox) :
-  content(_content),
-  dialog(_dialog),
-  theBox(_theBox)
-{}
-
-RandomNumberDistribution_ParametersQtQueryPipe::~RandomNumberDistribution_ParametersQtQueryPipe()
-{}
-
-void RandomNumberDistribution_ParametersQtQueryPipe::update() {
-  QString data = theBox->toPlainText();
-  std::stringstream text(data.toStdString());
-  // TODO: check error
-  //text >> *content;
-  dialog->update();
-}
-
-
Index: c/UIElements/Qt4/Pipe/RandomNumberDistribution_ParametersQtQueryPipe.hpp
===================================================================
--- src/UIElements/Qt4/Pipe/RandomNumberDistribution_ParametersQtQueryPipe.hpp	(revision 1ae8203bd04bcd66a13ba3721df275deccdd729b)
+++ 	(revision )
@@ -1,41 +1,0 @@
-/*
- * RandomNumberDistribution_ParametersQtQueryPipe.hpp
- *
- *  Created on: Jan 06, 2011
- *      Author: heber
- */
-
-#ifndef RANDOMNUMBERDISTRIBUTION_PARAMETERSQTQUERYPIPE_HPP_
-#define RANDOMNUMBERDISTRIBUTION_PARAMETERSQTQUERYPIPE_HPP_
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-
-#include <Qt/qwidget.h>
-
-class QTextEdit;
-
-class RandomNumberDistribution_Parameters;
-class QtDialog;
-
-class RandomNumberDistribution_ParametersQtQueryPipe : public QWidget {
-  Q_OBJECT
-public:
-  RandomNumberDistribution_ParametersQtQueryPipe(RandomNumberDistribution_Parameters &_content, QtDialog *_dialog, QTextEdit *_theBox);
-  virtual ~RandomNumberDistribution_ParametersQtQueryPipe();
-
-public slots:
-  void update();
-
-private:
-  RandomNumberDistribution_Parameters &content;
-  QtDialog *dialog;
-  QTextEdit *theBox;
-
-};
-
-
-#endif /* RANDOMNUMBERDISTRIBUTION_PARAMETERSQTQUERYPIPE_HPP_ */
Index: c/UIElements/Qt4/Pipe/RealSpaceMatrixQtQueryPipe.cpp
===================================================================
--- src/UIElements/Qt4/Pipe/RealSpaceMatrixQtQueryPipe.cpp	(revision 1ae8203bd04bcd66a13ba3721df275deccdd729b)
+++ 	(revision )
@@ -1,50 +1,0 @@
-/*
- * Project: MoleCuilder
- * Description: creates and alters molecular systems
- * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
- * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
- */
-
-/*
- * BoxQtQueryPipe.cpp
- *
- *  Created on: Oct 25, 2010
- *      Author: heber
- */
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include "UIElements/Qt4/Pipe/RealSpaceMatrixQtQueryPipe.hpp"
-#include "UIElements/Qt4/QtDialog.hpp"
-
-#include <Qt/qcombobox.h>
-#include <Qt/qtablewidget.h>
-
-#include "CodePatterns/MemDebug.hpp"
-#include "LinearAlgebra/RealSpaceMatrix.hpp"
-
-RealSpaceMatrixQtQueryPipe::RealSpaceMatrixQtQueryPipe(RealSpaceMatrix &_content, QtDialog *_dialog, QTableWidget *_inputTable) :
-  content(_content),
-  dialog(_dialog),
-  inputTable(_inputTable)
-{
-  tmpM = new RealSpaceMatrix();
-  tmpM->setIdentity();
-}
-
-RealSpaceMatrixQtQueryPipe::~RealSpaceMatrixQtQueryPipe()
-{
-  delete tmpM;
-}
-
-void RealSpaceMatrixQtQueryPipe::update(int row, int column)
-{
-  tmpM->at(row, column) = inputTable->item(row, column)->text().toDouble();
-  content = *tmpM;
-  dialog->update();
-}
-
-
Index: c/UIElements/Qt4/Pipe/RealSpaceMatrixQtQueryPipe.hpp
===================================================================
--- src/UIElements/Qt4/Pipe/RealSpaceMatrixQtQueryPipe.hpp	(revision 1ae8203bd04bcd66a13ba3721df275deccdd729b)
+++ 	(revision )
@@ -1,43 +1,0 @@
-/*
- * BoxQtQueryPipe.hpp
- *
- *  Created on: Nov 8, 2010
- *      Author: heber
- */
-
-#ifndef BOXQTQUERYPIPE_HPP_
-#define BOXQTQUERYPIPE_HPP_
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-
-#include <Qt/qwidget.h>
-
-class QTableWidget;
-
-class QtDialog;
-class RealSpaceMatrix;
-
-
-class RealSpaceMatrixQtQueryPipe : public QWidget {
-  Q_OBJECT
-public:
-  RealSpaceMatrixQtQueryPipe(RealSpaceMatrix &_content, QtDialog *_dialog, QTableWidget *_inputTable);
-  virtual ~RealSpaceMatrixQtQueryPipe();
-
-public slots:
-  void update(int,int);
-
-private:
-  RealSpaceMatrix &content;
-  QtDialog *dialog;
-  QTableWidget *inputTable;
-
-  RealSpaceMatrix *tmpM;
-};
-
-
-#endif /* BOXQTQUERYPIPE_HPP_ */
Index: c/UIElements/Qt4/Pipe/StringQtQueryPipe.cpp
===================================================================
--- src/UIElements/Qt4/Pipe/StringQtQueryPipe.cpp	(revision 1ae8203bd04bcd66a13ba3721df275deccdd729b)
+++ 	(revision )
@@ -1,40 +1,0 @@
-/*
- * Project: MoleCuilder
- * Description: creates and alters molecular systems
- * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
- * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
- */
-
-/*
- * StringQtQueryPipe.cpp
- *
- *  Created on: Oct 25, 2010
- *      Author: heber
- */
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include "UIElements/Qt4/Pipe/StringQtQueryPipe.hpp"
-#include "UIElements/Qt4/QtDialog.hpp"
-
-#include "CodePatterns/MemDebug.hpp"
-
-#include <string>
-
-
-StringQtQueryPipe::StringQtQueryPipe(std::string &_content, QtDialog *_dialog) :
-  content(_content),
-  dialog(_dialog)
-{}
-
-StringQtQueryPipe::~StringQtQueryPipe()
-{}
-
-void StringQtQueryPipe::update(const QString& newText) {
-  content = newText.toStdString();
-  dialog->update();
-}
-
Index: c/UIElements/Qt4/Pipe/StringQtQueryPipe.hpp
===================================================================
--- src/UIElements/Qt4/Pipe/StringQtQueryPipe.hpp	(revision 1ae8203bd04bcd66a13ba3721df275deccdd729b)
+++ 	(revision )
@@ -1,39 +1,0 @@
-/*
- * StringQtQueryPipe.hpp
- *
- *  Created on: Nov 8, 2010
- *      Author: heber
- */
-
-#ifndef STRINGQTQUERYPIPE_HPP_
-#define STRINGQTQUERYPIPE_HPP_
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-
-#include <Qt/qwidget.h>
-
-#include <string>
-
-class QtDialog;
-
-class StringQtQueryPipe : public QWidget {
-  Q_OBJECT
-public:
-  StringQtQueryPipe(std::string &_content, QtDialog *_dialog);
-  virtual ~StringQtQueryPipe();
-
-public slots:
-  void update(const QString&);
-
-private:
-  std::string &content;
-  QtDialog *dialog;
-
-};
-
-
-#endif /* STRINGQTQUERYPIPE_HPP_ */
Index: c/UIElements/Qt4/Pipe/UnsignedIntQtQueryPipe.cpp
===================================================================
--- src/UIElements/Qt4/Pipe/UnsignedIntQtQueryPipe.cpp	(revision 1ae8203bd04bcd66a13ba3721df275deccdd729b)
+++ 	(revision )
@@ -1,38 +1,0 @@
-/*
- * Project: MoleCuilder
- * Description: creates and alters molecular systems
- * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
- * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
- */
-
-/*
- * UnsignedIntQtQueryPipe.cpp
- *
- *  Created on: Oct 25, 2010
- *      Author: heber
- */
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include "UIElements/Qt4/Pipe/UnsignedIntQtQueryPipe.hpp"
-#include "UIElements/Qt4/QtDialog.hpp"
-
-#include "CodePatterns/MemDebug.hpp"
-
-
-UnsignedIntQtQueryPipe::UnsignedIntQtQueryPipe(unsigned int &_content, QtDialog *_dialog) :
-  content(_content),
-  dialog(_dialog)
-{}
-
-UnsignedIntQtQueryPipe::~UnsignedIntQtQueryPipe()
-{}
-
-void UnsignedIntQtQueryPipe::update(unsigned int newUnsignedInt) {
-  content = newUnsignedInt;
-  dialog->update();
-}
-
Index: c/UIElements/Qt4/Pipe/UnsignedIntQtQueryPipe.hpp
===================================================================
--- src/UIElements/Qt4/Pipe/UnsignedIntQtQueryPipe.hpp	(revision 1ae8203bd04bcd66a13ba3721df275deccdd729b)
+++ 	(revision )
@@ -1,37 +1,0 @@
-/*
- * UnsignedIntQtQueryPipe.hpp
- *
- *  Created on: Nov 8, 2010
- *      Author: heber
- */
-
-#ifndef UNSIGNEDINTQTQUERYPIPE_HPP_
-#define UNSIGNEDINTQTQUERYPIPE_HPP_
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-
-#include <Qt/qwidget.h>
-
-class QtDialog;
-
-class UnsignedIntQtQueryPipe : public QWidget {
-  Q_OBJECT
-public:
-  UnsignedIntQtQueryPipe(unsigned int &_content, QtDialog *_dialog);
-  virtual ~UnsignedIntQtQueryPipe();
-
-public slots:
-  void update(unsigned int);
-
-private:
-  unsigned int &content;
-  QtDialog *dialog;
-
-};
-
-
-#endif /* UNSIGNEDINTQTQUERYPIPE_HPP_ */
Index: c/UIElements/Qt4/Pipe/VectorQtQueryPipe.cpp
===================================================================
--- src/UIElements/Qt4/Pipe/VectorQtQueryPipe.cpp	(revision 1ae8203bd04bcd66a13ba3721df275deccdd729b)
+++ 	(revision )
@@ -1,51 +1,0 @@
-/*
- * Project: MoleCuilder
- * Description: creates and alters molecular systems
- * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
- * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
- */
-
-/*
- * VectorQtQueryPipe.cpp
- *
- *  Created on: Oct 25, 2010
- *      Author: heber
- */
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include "UIElements/Qt4/Pipe/VectorQtQueryPipe.hpp"
-#include "UIElements/Qt4/QtDialog.hpp"
-
-#include <Qt/qcombobox.h>
-
-#include "CodePatterns/MemDebug.hpp"
-
-
-VectorQtQueryPipe::VectorQtQueryPipe(Vector &_content, QtDialog *_dialog, QComboBox *_theBox) :
-  content(_content),
-  dialog(_dialog),
-  theBox(_theBox)
-{}
-
-VectorQtQueryPipe::~VectorQtQueryPipe()
-{}
-
-void VectorQtQueryPipe::updateX(double newDouble) {
-  content[0] = newDouble;
-  dialog->update();
-}
-
-void VectorQtQueryPipe::updateY(double newDouble) {
-  content[1] = newDouble;
-  dialog->update();
-}
-
-void VectorQtQueryPipe::updateZ(double newDouble) {
-  content[2] = newDouble;
-  dialog->update();
-}
-
Index: c/UIElements/Qt4/Pipe/VectorQtQueryPipe.hpp
===================================================================
--- src/UIElements/Qt4/Pipe/VectorQtQueryPipe.hpp	(revision 1ae8203bd04bcd66a13ba3721df275deccdd729b)
+++ 	(revision )
@@ -1,42 +1,0 @@
-/*
- * VectorQtQueryPipe.hpp
- *
- *  Created on: Nov 8, 2010
- *      Author: heber
- */
-
-#ifndef VECTORQTQUERYPIPE_HPP_
-#define VECTORQTQUERYPIPE_HPP_
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-
-#include <Qt/qwidget.h>
-
-class QComboBox;
-
-class QtDialog;
-class Vector;
-
-class VectorQtQueryPipe : public QWidget {
-  Q_OBJECT
-public:
-  VectorQtQueryPipe(Vector &_content, QtDialog *_dialog, QComboBox *_theBox);
-  virtual ~VectorQtQueryPipe();
-
-public slots:
-  void updateX(double);
-  void updateY(double);
-  void updateZ(double);
-
-private:
-  Vector &content;
-  QtDialog *dialog;
-  QComboBox *theBox;
-};
-
-
-#endif /* VECTORQTQUERYPIPE_HPP_ */
Index: c/UIElements/Qt4/Pipe/VectorsQtQueryPipe.cpp
===================================================================
--- src/UIElements/Qt4/Pipe/VectorsQtQueryPipe.cpp	(revision 1ae8203bd04bcd66a13ba3721df275deccdd729b)
+++ 	(revision )
@@ -1,42 +1,0 @@
-/*
- * Project: MoleCuilder
- * Description: creates and alters molecular systems
- * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
- * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
- */
-
-/*
- * VectorsQtQueryPipe.cpp
- *
- *  Created on: Oct 25, 2010
- *      Author: heber
- */
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include "UIElements/Qt4/Pipe/VectorsQtQueryPipe.hpp"
-#include "UIElements/Qt4/QtDialog.hpp"
-
-#include <Qt/qcombobox.h>
-
-#include "CodePatterns/MemDebug.hpp"
-
-#include <vector>
-
-
-VectorsQtQueryPipe::VectorsQtQueryPipe(std::vector<Vector> &_content, QtDialog *_dialog, QComboBox *_theBox) :
-  content(_content),
-  dialog(_dialog),
-  theBox(_theBox)
-{}
-
-VectorsQtQueryPipe::~VectorsQtQueryPipe()
-{}
-
-void VectorsQtQueryPipe::update() {
-  dialog->update();
-}
-
Index: c/UIElements/Qt4/Pipe/VectorsQtQueryPipe.hpp
===================================================================
--- src/UIElements/Qt4/Pipe/VectorsQtQueryPipe.hpp	(revision 1ae8203bd04bcd66a13ba3721df275deccdd729b)
+++ 	(revision )
@@ -1,42 +1,0 @@
-/*
- * VectorsQtQueryPipe.hpp
- *
- *  Created on: Nov 8, 2010
- *      Author: heber
- */
-
-#ifndef VECTORSQTQUERYPIPE_HPP_
-#define VECTORSQTQUERYPIPE_HPP_
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-
-#include <Qt/qwidget.h>
-
-#include <vector>
-
-class QComboBox;
-
-class QtDialog;
-class Vector;
-
-class VectorsQtQueryPipe : public QWidget {
-  Q_OBJECT
-public:
-  VectorsQtQueryPipe(std::vector<Vector> &_content, QtDialog *_dialog, QComboBox *_theBox);
-  virtual ~VectorsQtQueryPipe();
-
-public slots:
-  void update();
-
-private:
-  std::vector<Vector> &content;
-  QtDialog *dialog;
-  QComboBox *theBox;
-};
-
-
-#endif /* VECTORSQTQUERYPIPE_HPP_ */
Index: src/UIElements/Qt4/Query/AtomQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/AtomQtQuery.cpp	(revision 1ae8203bd04bcd66a13ba3721df275deccdd729b)
+++ src/UIElements/Qt4/Query/AtomQtQuery.cpp	(revision 08e137890d5c20882d801a94cb62c4be5820ae33)
@@ -25,5 +25,4 @@
 
 #include "UIElements/Qt4/Query/QtQuery.hpp"
-#include "UIElements/Qt4/Pipe/AtomQtQueryPipe.hpp"
 
 #include "Atom/atom.hpp"
Index: src/UIElements/Qt4/Query/AtomsQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/AtomsQtQuery.cpp	(revision 1ae8203bd04bcd66a13ba3721df275deccdd729b)
+++ src/UIElements/Qt4/Query/AtomsQtQuery.cpp	(revision 08e137890d5c20882d801a94cb62c4be5820ae33)
@@ -26,5 +26,4 @@
 #include "UIElements/Qt4/Query/QtQuery.hpp"
 #include "UIElements/Qt4/Query/QtQueryList.hpp"
-#include "UIElements/Qt4/Pipe/QtQueryListPipe.hpp"
 
 
Index: src/UIElements/Qt4/Query/BooleanQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/BooleanQtQuery.cpp	(revision 1ae8203bd04bcd66a13ba3721df275deccdd729b)
+++ src/UIElements/Qt4/Query/BooleanQtQuery.cpp	(revision 08e137890d5c20882d801a94cb62c4be5820ae33)
@@ -25,5 +25,4 @@
 
 #include "UIElements/Qt4/Query/QtQuery.hpp"
-#include "UIElements/Qt4/Pipe/BooleanQtQueryPipe.hpp"
 
 
Index: src/UIElements/Qt4/Query/DoubleQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/DoubleQtQuery.cpp	(revision 1ae8203bd04bcd66a13ba3721df275deccdd729b)
+++ src/UIElements/Qt4/Query/DoubleQtQuery.cpp	(revision 08e137890d5c20882d801a94cb62c4be5820ae33)
@@ -25,5 +25,4 @@
 
 #include "UIElements/Qt4/Query/QtQuery.hpp"
-#include "UIElements/Qt4/Pipe/DoubleQtQueryPipe.hpp"
 
 
Index: src/UIElements/Qt4/Query/DoublesQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/DoublesQtQuery.cpp	(revision 1ae8203bd04bcd66a13ba3721df275deccdd729b)
+++ src/UIElements/Qt4/Query/DoublesQtQuery.cpp	(revision 08e137890d5c20882d801a94cb62c4be5820ae33)
@@ -26,5 +26,4 @@
 #include "UIElements/Qt4/Query/QtQuery.hpp"
 #include "UIElements/Qt4/Query/QtQueryList.hpp"
-#include "UIElements/Qt4/Pipe/QtQueryListPipe.hpp"
 
 
Index: src/UIElements/Qt4/Query/ElementQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/ElementQtQuery.cpp	(revision 1ae8203bd04bcd66a13ba3721df275deccdd729b)
+++ src/UIElements/Qt4/Query/ElementQtQuery.cpp	(revision 08e137890d5c20882d801a94cb62c4be5820ae33)
@@ -25,5 +25,4 @@
 
 #include "UIElements/Qt4/Query/QtQuery.hpp"
-#include "UIElements/Qt4/Pipe/ElementQtQueryPipe.hpp"
 
 #include "Element/element.hpp"
Index: src/UIElements/Qt4/Query/ElementsQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/ElementsQtQuery.cpp	(revision 1ae8203bd04bcd66a13ba3721df275deccdd729b)
+++ src/UIElements/Qt4/Query/ElementsQtQuery.cpp	(revision 08e137890d5c20882d801a94cb62c4be5820ae33)
@@ -27,5 +27,4 @@
 #include "UIElements/Qt4/Query/QtQuery.hpp"
 #include "UIElements/Qt4/Query/QtQueryList.hpp"
-#include "UIElements/Qt4/Pipe/QtQueryListPipe.hpp"
 
 
Index: src/UIElements/Qt4/Query/EmptyQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/EmptyQtQuery.cpp	(revision 1ae8203bd04bcd66a13ba3721df275deccdd729b)
+++ src/UIElements/Qt4/Query/EmptyQtQuery.cpp	(revision 08e137890d5c20882d801a94cb62c4be5820ae33)
@@ -24,5 +24,4 @@
 
 #include "UIElements/Qt4/Query/QtQuery.hpp"
-#include "UIElements/Qt4/Pipe/EmptyQtQueryPipe.hpp"
 
 
Index: src/UIElements/Qt4/Query/FileQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/FileQtQuery.cpp	(revision 1ae8203bd04bcd66a13ba3721df275deccdd729b)
+++ src/UIElements/Qt4/Query/FileQtQuery.cpp	(revision 08e137890d5c20882d801a94cb62c4be5820ae33)
@@ -27,5 +27,4 @@
 
 #include "UIElements/Qt4/Query/QtQuery.hpp"
-#include "UIElements/Qt4/Pipe/FileQtQueryPipe.hpp"
 
 
Index: src/UIElements/Qt4/Query/FilesQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/FilesQtQuery.cpp	(revision 1ae8203bd04bcd66a13ba3721df275deccdd729b)
+++ src/UIElements/Qt4/Query/FilesQtQuery.cpp	(revision 08e137890d5c20882d801a94cb62c4be5820ae33)
@@ -27,5 +27,4 @@
 #include "UIElements/Qt4/Query/QtQuery.hpp"
 #include "UIElements/Qt4/Query/QtQueryList.hpp"
-#include "UIElements/Qt4/Pipe/QtQueryListPipe.hpp"
 
 
Index: src/UIElements/Qt4/Query/IntQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/IntQtQuery.cpp	(revision 1ae8203bd04bcd66a13ba3721df275deccdd729b)
+++ src/UIElements/Qt4/Query/IntQtQuery.cpp	(revision 08e137890d5c20882d801a94cb62c4be5820ae33)
@@ -25,5 +25,4 @@
 
 #include "UIElements/Qt4/Query/QtQuery.hpp"
-#include "UIElements/Qt4/Pipe/IntQtQueryPipe.hpp"
 
 
Index: src/UIElements/Qt4/Query/IntsQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/IntsQtQuery.cpp	(revision 1ae8203bd04bcd66a13ba3721df275deccdd729b)
+++ src/UIElements/Qt4/Query/IntsQtQuery.cpp	(revision 08e137890d5c20882d801a94cb62c4be5820ae33)
@@ -26,5 +26,4 @@
 #include "UIElements/Qt4/Query/QtQuery.hpp"
 #include "UIElements/Qt4/Query/QtQueryList.hpp"
-#include "UIElements/Qt4/Pipe/QtQueryListPipe.hpp"
 
 
Index: src/UIElements/Qt4/Query/MoleculeQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/MoleculeQtQuery.cpp	(revision 1ae8203bd04bcd66a13ba3721df275deccdd729b)
+++ src/UIElements/Qt4/Query/MoleculeQtQuery.cpp	(revision 08e137890d5c20882d801a94cb62c4be5820ae33)
@@ -25,5 +25,4 @@
 
 #include "UIElements/Qt4/Query/QtQuery.hpp"
-#include "UIElements/Qt4/Pipe/MoleculeQtQueryPipe.hpp"
 
 #include "molecule.hpp"
Index: src/UIElements/Qt4/Query/MoleculesQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/MoleculesQtQuery.cpp	(revision 1ae8203bd04bcd66a13ba3721df275deccdd729b)
+++ src/UIElements/Qt4/Query/MoleculesQtQuery.cpp	(revision 08e137890d5c20882d801a94cb62c4be5820ae33)
@@ -26,5 +26,4 @@
 #include "UIElements/Qt4/Query/QtQuery.hpp"
 #include "UIElements/Qt4/Query/QtQueryList.hpp"
-#include "UIElements/Qt4/Pipe/QtQueryListPipe.hpp"
 
 
Index: src/UIElements/Qt4/Query/RandomNumberDistribution_ParametersQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/RandomNumberDistribution_ParametersQtQuery.cpp	(revision 1ae8203bd04bcd66a13ba3721df275deccdd729b)
+++ src/UIElements/Qt4/Query/RandomNumberDistribution_ParametersQtQuery.cpp	(revision 08e137890d5c20882d801a94cb62c4be5820ae33)
@@ -26,5 +26,4 @@
 
 #include "UIElements/Qt4/Query/QtQuery.hpp"
-#include "UIElements/Qt4/Pipe/RandomNumberDistribution_ParametersQtQueryPipe.hpp"
 
 #include "Atom/atom.hpp"
Index: src/UIElements/Qt4/Query/RealSpaceMatrixQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/RealSpaceMatrixQtQuery.cpp	(revision 1ae8203bd04bcd66a13ba3721df275deccdd729b)
+++ src/UIElements/Qt4/Query/RealSpaceMatrixQtQuery.cpp	(revision 08e137890d5c20882d801a94cb62c4be5820ae33)
@@ -25,5 +25,4 @@
 
 #include "UIElements/Qt4/Query/QtQuery.hpp"
-#include "UIElements/Qt4/Pipe/RealSpaceMatrixQtQueryPipe.hpp"
 
 #include "LinearAlgebra/RealSpaceMatrix.hpp"
Index: src/UIElements/Qt4/Query/StringQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/StringQtQuery.cpp	(revision 1ae8203bd04bcd66a13ba3721df275deccdd729b)
+++ src/UIElements/Qt4/Query/StringQtQuery.cpp	(revision 08e137890d5c20882d801a94cb62c4be5820ae33)
@@ -25,5 +25,4 @@
 
 #include "UIElements/Qt4/Query/QtQuery.hpp"
-#include "UIElements/Qt4/Pipe/StringQtQueryPipe.hpp"
 
 
Index: src/UIElements/Qt4/Query/StringsQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/StringsQtQuery.cpp	(revision 1ae8203bd04bcd66a13ba3721df275deccdd729b)
+++ src/UIElements/Qt4/Query/StringsQtQuery.cpp	(revision 08e137890d5c20882d801a94cb62c4be5820ae33)
@@ -26,5 +26,4 @@
 #include "UIElements/Qt4/Query/QtQuery.hpp"
 #include "UIElements/Qt4/Query/QtQueryList.hpp"
-#include "UIElements/Qt4/Pipe/QtQueryListPipe.hpp"
 
 
Index: src/UIElements/Qt4/Query/UnsignedIntQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/UnsignedIntQtQuery.cpp	(revision 1ae8203bd04bcd66a13ba3721df275deccdd729b)
+++ src/UIElements/Qt4/Query/UnsignedIntQtQuery.cpp	(revision 08e137890d5c20882d801a94cb62c4be5820ae33)
@@ -25,5 +25,4 @@
 
 #include "UIElements/Qt4/Query/QtQuery.hpp"
-#include "UIElements/Qt4/Pipe/UnsignedIntQtQueryPipe.hpp"
 
 
Index: src/UIElements/Qt4/Query/UnsignedIntsQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/UnsignedIntsQtQuery.cpp	(revision 1ae8203bd04bcd66a13ba3721df275deccdd729b)
+++ src/UIElements/Qt4/Query/UnsignedIntsQtQuery.cpp	(revision 08e137890d5c20882d801a94cb62c4be5820ae33)
@@ -26,5 +26,4 @@
 #include "UIElements/Qt4/Query/QtQuery.hpp"
 #include "UIElements/Qt4/Query/QtQueryList.hpp"
-#include "UIElements/Qt4/Pipe/QtQueryListPipe.hpp"
 
 
Index: src/UIElements/Qt4/Query/VectorQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/VectorQtQuery.cpp	(revision 1ae8203bd04bcd66a13ba3721df275deccdd729b)
+++ src/UIElements/Qt4/Query/VectorQtQuery.cpp	(revision 08e137890d5c20882d801a94cb62c4be5820ae33)
@@ -26,5 +26,4 @@
 
 #include "UIElements/Qt4/Query/QtQuery.hpp"
-#include "UIElements/Qt4/Pipe/VectorQtQueryPipe.hpp"
 
 
Index: src/UIElements/Qt4/Query/VectorsQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/VectorsQtQuery.cpp	(revision 1ae8203bd04bcd66a13ba3721df275deccdd729b)
+++ src/UIElements/Qt4/Query/VectorsQtQuery.cpp	(revision 08e137890d5c20882d801a94cb62c4be5820ae33)
@@ -27,5 +27,4 @@
 #include "UIElements/Qt4/Query/QtQuery.hpp"
 #include "UIElements/Qt4/Query/QtQueryList.hpp"
-#include "UIElements/Qt4/Pipe/QtQueryListPipe.hpp"
 
 
